{% extends "base.html" %}
{% load static %}
{% block content %}
<link rel="stylesheet" href="{% static 'css/login.css' %}">
{% if form.errors %}
<p class="login_error">Your username and password didn't match. Please try again.</p>
{% endif %}

{% if next %}
{% if user.is_authenticated %}
<p id='error_text'>Your account doesn't have access to this page. <br>
  To proceed, please login with an account that has access or contact </p>
  <script language="JavaScript">
var username = "matthias.hortenhuber";
var hostname = "ki.se";
var linktext = "Matthias Hörtenhuber";
var text = document.getElementById('error_text')
text.insertAdjacentHTML('beforeend',"<a href='" + "mail" + "to:" + username + "@" + hostname + "'>" + linktext + "</a>");
</script>
{% endif %}
{% endif %}

{% if not user.is_authenticated %}
<form method="post" action=".">
  {% csrf_token %}
  <div id = "login_div">
  <p><label for="id_username">Username</label>
    {{ form.username }}</p>
  <p><label for="id_password">Password</label>
    {{ form.password }}</p>
  <input type="hidden" name="next" value="/dcc/" />
  <div class = "button_row">
  <input type="submit" value="login" id="login_btn" class="btn btn-success btn--login"/>
  <input type="button" onclick="location.href='/users/register/'" value="Create new user" class = "btn btn-primary btn--create_user">
  </div>

  </div>
  <br><a href="/password/reset/">Forgot password?</a>
</form>
{% endif %}



{% endblock %}
